Subject: Re: [[email-masked]: Re: ADOSFS and GPL]

From: [email-masked] (Niklas Hallqvist)

>>>>> "RMS" == Richard Stallman <[email-masked]> writes:

RMS> You don't need to change the terms for the other kernel files.
RMS> The fact that one file is covered by the GPL can never force you
RMS> to apply the GPL to some other file written entirely by you.  If
RMS> you copy the GPL-covered code, then the GPL has to cover the file
RMS> that it was copied to.

Well... this is a definite ruling, so what should I do?  Send of my patches
to Chris for inclusion at sun-lamp?  Make a stand-alone package just for those
of the users who compile their own kernels?  I prefer the former.

Niklas